[PC-BSD Commits] r7773 - in pcbsd: current/src-qt4/pc-xgui/resources/bin stable/XGUISource/resources/bin

svn at pcbsd.org svn at pcbsd.org
Sun Oct 10 04:46:08 PDT 2010


Author: kris
Date: 2010-10-10 04:46:08 -0700 (Sun, 10 Oct 2010)
New Revision: 7773

Modified:
   pcbsd/current/src-qt4/pc-xgui/resources/bin/rundetect.sh
   pcbsd/stable/XGUISource/resources/bin/rundetect.sh
Log:

Fix for xorg gui, if the user specified at the loader prompt
that they want to run in VESA mode, then make sure we use it
for the xorg-gui as well



Modified: pcbsd/current/src-qt4/pc-xgui/resources/bin/rundetect.sh
===================================================================
--- pcbsd/current/src-qt4/pc-xgui/resources/bin/rundetect.sh	2010-10-10 11:30:13 UTC (rev 7772)
+++ pcbsd/current/src-qt4/pc-xgui/resources/bin/rundetect.sh	2010-10-10 11:46:08 UTC (rev 7773)
@@ -106,9 +106,21 @@
 
   if [ "${ATTEMPT}" = "0" ]
   then
-    # Use the saved xorg.conf.basic file
-    echo "Using saved ${PROGDIR}/conf/xorg.conf.basic from install..." >/dev/console
-    cp ${PROGDIR}/conf/xorg.conf.basic /etc/X11/xorg.conf
+    xvesa="NO"
+    v=`kenv xvesa`
+    if [ $? -eq 0 ]; then
+       xvesa=$v
+    fi
+
+    # Check if user requested to run in vesa mode specifically and do it
+    if [ "$xvesa" = "YES" ] ; then
+      echo "Using failsafe VESA 1024x768 mode..." >/dev/console
+      cp /usr/local/share/xorg-gui/cardDetect/XF86Config.compat /etc/X11/xorg.conf
+    else
+      # Use the saved xorg.conf.basic file
+      echo "Using saved ${PROGDIR}/conf/xorg.conf.basic from install..." >/dev/console
+      cp ${PROGDIR}/conf/xorg.conf.basic /etc/X11/xorg.conf
+    fi
   elif [ "${ATTEMPT}" = "1" ]
   then
     # Try running the driver detection again

Modified: pcbsd/stable/XGUISource/resources/bin/rundetect.sh
===================================================================
--- pcbsd/stable/XGUISource/resources/bin/rundetect.sh	2010-10-10 11:30:13 UTC (rev 7772)
+++ pcbsd/stable/XGUISource/resources/bin/rundetect.sh	2010-10-10 11:46:08 UTC (rev 7773)
@@ -97,9 +97,21 @@
 
   if [ "${ATTEMPT}" = "0" ]
   then
-    # Use the saved xorg.conf.basic file
-    echo "Using saved /usr/PCBSD/xorg-gui/conf/xorg.conf.basic from install..." >/dev/console
-    cp /usr/PCBSD/xorg-gui/conf/xorg.conf.basic /etc/X11/xorg.conf
+    xvesa="NO"
+    v=`kenv xvesa`
+    if [ $? -eq 0 ]; then
+       xvesa=$v
+    fi
+
+    # Check if user requested to run in vesa mode specifically and do it
+    if [ "$xvesa" = "YES" ] ; then
+      echo "Using failsafe VESA 1024x768 mode..." >/dev/console
+      cp /usr/local/share/xorg-gui/cardDetect/XF86Config.compat /etc/X11/xorg.conf
+    else
+      # Use the saved xorg.conf.basic file
+      echo "Using saved ${PROGDIR}/conf/xorg.conf.basic from install..." >/dev/console
+      cp ${PROGDIR}/conf/xorg.conf.basic /etc/X11/xorg.conf
+    fi
   elif [ "${ATTEMPT}" = "1" ]
   then
     # Try running the driver detection again



More information about the Commits mailing list